Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(737)

Issue 2751333004: [Crash Reporting] Only upload Chrome crash reports over unmetered networks. (Closed)

Created:
9 months ago by Ilya Sherman
Modified:
8 months, 3 weeks ago
CC:
chromium-reviews, sadrul, asvitkine+watch_chromium.org, agrieve+watch_chromium.org, kalyank, android-webview-reviews_chromium.org, gayane+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Crash Reporting] Only upload Chrome crash reports over unmetered networks. BUG=702454 TEST=none R=gsennton@chromium.org, mariakhomenko@chromium.org Review-Url: https://codereview.chromium.org/2751333004 Cr-Commit-Position: refs/heads/master@{#460227} Committed: https://chromium.googlesource.com/chromium/src/+/ba20b44face1a92875fab6a62959f68faa400aa6

Patch Set 1 #

Patch Set 2 : Update the JobScheduler constraints too! #

Total comments: 1

Patch Set 3 : git-add the new file #

Patch Set 4 : This is the last self-review patch set, I swear! :-P #

Total comments: 7

Patch Set 5 : Now with tests and everything! #

Patch Set 6 : --similarity=20, and revert a spurious diff #

Patch Set 7 : --similarity=10 #

Total comments: 1

Patch Set 8 : Remove stale BUILD file reference #

Patch Set 9 : Add TODO to use Junit4 parameters #

Patch Set 10 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+118 lines, -251 lines) Patch
M android_webview/java/src/org/chromium/android_webview/crash/AwMinidumpUploaderDelegate.java View 1 2 3 4 3 chunks +5 lines, -9 lines 0 comments Download
M android_webview/java/src/org/chromium/android_webview/crash/CrashReceiverService.java View 1 1 chunk +2 lines, -5 lines 0 comments Download
M chrome/android/BUILD.gn View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java View 1 2 3 4 2 chunks +2 lines, -10 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/crash/MinidumpUploadService.java View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/preferences/privacy/PrivacyPreferencesManager.java View 1 2 3 4 5 6 7 8 3 chunks +6 lines, -14 lines 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 4 5 6 7 8 9 2 chunks +1 line, -1 line 0 comments Download
D chrome/android/javatests/src/org/chromium/chrome/browser/preferences/privacy/PrivacyPreferencesManagerTest.java View 1 2 3 4 1 chunk +0 lines, -121 lines 0 comments Download
A + chrome/android/junit/src/org/chromium/chrome/browser/preferences/privacy/PrivacyPreferencesManagerTest.java View 1 2 3 4 5 6 7 8 1 chunk +79 lines, -89 lines 0 comments Download
M components/minidump_uploader/BUILD.gn View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/MinidumpUploadJobService.java View 1 1 chunk +1 line, -1 line 0 comments Download
A components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/util/NetworkPermissionUtil.java View 1 2 3 4 1 chunk +20 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   chromium_presubmit   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_clang_dbg_recipe   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   chromium_presubmit 

Messages

Total messages: 50 (35 generated)
Ilya Sherman
9 months ago (2017-03-17 01:11:39 UTC) #1
Ilya Sherman
https://codereview.chromium.org/2751333004/diff/20001/android_webview/java/src/org/chromium/android_webview/crash/AwMinidumpUploaderDelegate.java File android_webview/java/src/org/chromium/android_webview/crash/AwMinidumpUploaderDelegate.java (right): https://codereview.chromium.org/2751333004/diff/20001/android_webview/java/src/org/chromium/android_webview/crash/AwMinidumpUploaderDelegate.java#newcode60 android_webview/java/src/org/chromium/android_webview/crash/AwMinidumpUploaderDelegate.java:60: return CrashReportingNetworkPermissionManager.isNetworkUnmetered( This class name is a bit unwieldy. ...
9 months ago (2017-03-17 01:19:02 UTC) #9
Maria
https://codereview.chromium.org/2751333004/diff/60001/components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/util/CrashReportingNetworkPermissionManager.java File components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/util/CrashReportingNetworkPermissionManager.java (right): https://codereview.chromium.org/2751333004/diff/60001/components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/util/CrashReportingNetworkPermissionManager.java#newcode14 components/minidump_uploader/android/java/src/org/chromium/components/minidump_uploader/util/CrashReportingNetworkPermissionManager.java:14: public class CrashReportingNetworkPermissionManager { given that there's nothing specific ...
9 months ago (2017-03-17 04:04:29 UTC) #13
gsennton
lgtm (after changing the CrashReportingNetworkPermissionManager name to something shorter). https://codereview.chromium.org/2751333004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java File chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java (left): https://codereview.chromium.org/2751333004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java#oldcode78 chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java:78: ...
8 months, 4 weeks ago (2017-03-20 17:29:01 UTC) #14
Ilya Sherman
https://codereview.chromium.org/2751333004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java File chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java (left): https://codereview.chromium.org/2751333004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java#oldcode78 chrome/android/java/src/org/chromium/chrome/browser/crash/ChromeMinidumpUploaderDelegate.java:78: NetworkInfo networkInfo = mConnectivityManager.getActiveNetworkInfo(); On 2017/03/20 17:29:01, gsennton wrote: ...
8 months, 4 weeks ago (2017-03-20 23:11:21 UTC) #21
Maria
lgtm Yoland, a question for you. Can parameter sets be used in roboelectric unit tests ...
8 months, 4 weeks ago (2017-03-20 23:23:40 UTC) #23
Maria
8 months, 4 weeks ago (2017-03-20 23:24:12 UTC) #25
the real yoland
On 2017/03/20 at 23:23:40, mariakhomenko wrote: > lgtm > > Yoland, a question for you. ...
8 months, 4 weeks ago (2017-03-21 00:35:02 UTC) #30
Ilya Sherman
I'm going to hold off on submitting this CL until the previous implementation is merged ...
8 months, 4 weeks ago (2017-03-21 22:10:50 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751333004/180001
8 months, 3 weeks ago (2017-03-28 21:27:38 UTC) #36
commit-bot: I haz the power
Exceeded global retry quota
8 months, 3 weeks ago (2017-03-28 21:37:33 UTC) #38
Ilya Sherman
+Toby for android_webview OWNERS review
8 months, 3 weeks ago (2017-03-28 21:43:56 UTC) #42
Tobias Sargeant
On 2017/03/28 21:43:56, Ilya Sherman wrote: > +Toby for android_webview OWNERS review android_webview LGTM.
8 months, 3 weeks ago (2017-03-28 21:59:25 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751333004/180001
8 months, 3 weeks ago (2017-03-28 22:12:56 UTC) #47
commit-bot: I haz the power
8 months, 3 weeks ago (2017-03-28 22:45:53 UTC) #50
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/ba20b44face1a92875fab6a62959...

Powered by Google App Engine
This is Rietveld 0eb02b776